# class GitHub::Markup::CommandImplementation

### Attributes

block[R]
command[R]

### Public Class Methods

new(regexp, command, &block) click to toggle source
Calls superclass method

    # File lib/github/markup/command_implementation.rb, line 17
    def initialize(regexp, command, &block)
      super regexp
      @command = command.to_s
      @block = block
    end

### Public Instance Methods

render(content) click to toggle source

    # File lib/github/markup/command_implementation.rb, line 23
    def render(content)
      rendered = execute(command, content)
      rendered = rendered.to_s.empty? ? content : rendered
      call_block(rendered, content)
    end